Package org.apache.aries.jax.rs.openapi

## Class OpenApiPrototypeServiceFactory

- java.lang.Object
- - org.apache.aries.jax.rs.openapi.OpenApiPrototypeServiceFactory

All Implemented Interfaces:
  `org.osgi.framework.PrototypeServiceFactory<Object>`, `org.osgi.framework.ServiceFactory<Object>`

    public class OpenApiPrototypeServiceFactory
    extends Object
    implements org.osgi.framework.PrototypeServiceFactory<Object>

Author:
  Carlos Sierra Andrés

### Constructor Summary

Constructors
`OpenApiPrototypeServiceFactory​(PropertyWrapper propertyWrapper, io.swagger.v3.oas.models.OpenAPI openAPI)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<Object> serviceRegistration)`
`void` `ungetService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<Object> serviceRegistration, Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenApiPrototypeServiceFactory

    public OpenApiPrototypeServiceFactory​(PropertyWrapper propertyWrapper,
                                          io.swagger.v3.oas.models.OpenAPI openAPI)

### Method Detail

#### getService

    public Object getService​(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<Object> serviceRegistration)

Specified by:
  `getService` in interface `org.osgi.framework.PrototypeServiceFactory<Object>`
Specified by:
  `getService` in interface `org.osgi.framework.ServiceFactory<Object>`

#### ungetService

    public void ungetService​(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<Object> serviceRegistration,
                             Object object)

Specified by:
  `ungetService` in interface `org.osgi.framework.PrototypeServiceFactory<Object>`
Specified by:
  `ungetService` in interface `org.osgi.framework.ServiceFactory<Object>`